%global pkg_name        Crypt-Rijndael
%global pkg_version     1.05
%global rpm_pkg_version 1.05
%global rpm_pkg_release 1.n0i.10

Summary:       AES/Rijndael Encryption Module
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BD/BDFOY/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl


%description
This module implements the Rijndael cipher, which has just been selected
as the Advanced Encryption Standard.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}
%{__perl} -pi -e "s{ (?<=\.)3(?=\') }{\\\$(MAN3EXT)}xs" Makefile.PL


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes COPYING examples/ LICENSE NEWS README


%changelog
* Tue Nov 13 2007 Marius Feraru <altblue@n0i.net> - 1.05-1.n0i.10
- version 1.05

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.04-1.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.04

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.05-5.n0i.8
- automatic rebuild (perl 5.8.8)

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.05-4.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.05-3.n0i.6
- rebuild (FC4)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.05-2.n0i.5
- rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:0.05-1.n0i.4
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Sun Feb 01 2004 Marius FERARU <altblue@n0i.net> 0:0.05-0.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Wed Jul 30 2003 Marius FERARU <altblue@n0i.net> 1.2-0.n0i
- version 0.05

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 0.04-0.n0i
- Initial build.
